package com.cool.bang.modules.system.domain.po;

import com.cool.bang.common.base.BaseDomain;

import java.util.List;

/**
 * system organization
 *
 * @author PeiZhi Guo
 * 2022-7-11 11:42
 */
public class Org extends BaseDomain {

    private static final long serialVersionUID = 1L;

    private Long id;

    private Long parentId; //父主键

    private String name; //部门名称

    private Integer level; //部门等级

    private Integer sort; //排序号

    private Integer status; //部门状态 0禁用 1正常

    private String director; //部门负责人

    private String phone; //联系电话

    private List<Org> children;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getDirector() {
        return director;
    }

    public void setDirector(String director) {
        this.director = director;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public List<Org> getChildren() {
        return children;
    }

    public void setChildren(List<Org> children) {
        this.children = children;
    }
}
